Subject: Re: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: martin rudalics <[email-masked]>
Date: Tue, 14 Jun 2011 21:09:06 +0200

> Adding similar stuff to emacs-23, I see that display-buffer's cond tries
 > the special-display-function branch (no match), the pop-up-windows
 > branch (no window-to-use), and ends up in the last branch, where it
 > finds a window-to-use every time. So it never tries to pop-up a frame.

Emacs 23 tries to pop up a frame only when the selected frame is a
minibuffer frame.  I shall add an appropriate condition in Emacs 24.

martin